#ifndef MARS_MDumpEvtHeader
#define MARS_MDumpEvtHeader

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MRawEvtHeader;
class MRawEvtData;
class MParList;

class MDumpEvtHeader : public MTask
{
private:
    MRawEvtHeader *fRawEvtHeader;
    MRawEvtData   *fRawEvtData;

    Int_t PreProcess(MParList *pList);
    Int_t Process();

public:
  MDumpEvtHeader () : fRawEvtHeader(NULL) { };

  ClassDef(MDumpEvtHeader, 0)	// Class to dump the pixel ids of a raw evt to the screen

};
    
#endif
